import { ObjectId } from "mongodb";

export type Id = string;

export function createId(): Id {
	return new ObjectId().toString();
}

export function isId(target: unknown): target is Id {
	return typeof target === "string";
}
