import { error } from "@sveltejs/kit";
import type { PageServerLoad } from "./$types";
import { getPageData } from "./getPageData";

export const load: PageServerLoad = async ({ fetch, cookies }) => {
	const token = cookies.get("access_token");

	if (!token) {
		error(401);
	}

	return getPageData(fetch, token);
};
